Subject: bug#38060: closed (Re: [bug#38060] [PATCH] gnu: CMake: Update to 3.15.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2019 18:18:02 +0000

Your bug report

#38060: [PATCH] gnu: CMake: Update to 3.15.5.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38060: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38060
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38060] [PATCH] gnu: CMake: Update to 3.15.5.
From: Marius Bakke <[email-masked]>
To: Ivan Vilata i Balaguer <[email-masked]>
Cc: [email-masked], Mathieu Othacehe <[email-masked]>, Ivan Vilata i Balaguer <[email-masked]>
Date: Fri, 15 Nov 2019 19:17:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ivan Vilata i Balaguer <[email-masked]> writes:

> Marius Bakke (2019-11-11 00:00:10 +0100) wrote:
>
>> Ivan: if you need the newer CMake on 'master', can you submit a patch
>> that adds a separate 'cmake-3.15.5' variable?  Then you can use that in
>> cmake-build-system with '#:cmake ,cmake-3.15.5'.
>
> Sure, I'm attaching the patch which I tried and seemed to work (at least for
> installing [email-masked]` explicitly and using it).
>
> Is it ok like this or shall I send it to guix-patches?

Attaching patches to bug reports is fine.  Pushed as
528b52390d216d8a8cd13dfcd1e6e40a6448e6c2.

Thanks!

Subject: [PATCH] gnu: CMake: Update to 3.15.5.
From: Ivan Vilata i Balaguer <[email-masked]>
To: [email-masked]
Date: Mon, 4 Nov 2019 11:57:46 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch updates CMake to version 3.15.5, which fixes some bugs as listed
here: <https://cmake.org/cmake/help/v3.15/release/3.15.html#updates>

I've been trying the package built from this patch for some days and it seems
to work ok and indeed fix the issues that were affecting us.

Thanks and cheers!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/
>From 4c0d54331144a6c213d87adc5699d861dd528adc Mon Sep 17 00:00:00 2001
From: Ivan Vilata-i-Balaguer <[email-masked]>
Date: Mon, 4 Nov 2019 11:47:13 -0500
Subject: [PATCH] gnu: CMake: Update to 3.15.5.

* gnu/packages/cmake.scm (cmake-minimal): Update to 3.15.5.
---
 gnu/packages/cmake.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 64349be444..7ab50aa336 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -50,7 +50,7 @@
 (define-public cmake-minimal
   (package
     (name "cmake-minimal")
-    (version "3.15.1")
+    (version "3.15.5")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://www.cmake.org/files/v"
@@ -58,7 +58,7 @@
                                   "/cmake-" version ".tar.gz"))
               (sha256
                (base32
-                "1xyprly3sf4wi0n1x79k4n22yxm6pb7fv70gqr9lvc7qv14cbphq"))
+                "1d5y8d92axcc6rfqlsxamayfs3fc1vdby91hn5mx1kn02ppprpgv"))
               (modules '((guix build utils)))
               (snippet
                '(begin
-- 
2.23.0